Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-6.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-6.exp
@@ -1,23 +1,23 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -26,38 +26,38 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -66,38 +66,38 @@
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -106,53 +106,52 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-7.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-7.exp
@@ -1,23 +1,23 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -26,38 +26,38 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -66,38 +66,38 @@
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -106,53 +106,52 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-8.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-8.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-8.exp
@@ -1,7 +1,7 @@
  <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
    <synapse id="0">
      <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -10,7 +10,7 @@
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -19,7 +19,7 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
@@ -28,7 +28,7 @@
    </synapse>
   <synapse id="3">
      <action_set>
-      <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-rsc-5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-rsc-5.exp
@@ -1,23 +1,23 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="stonith-1_start_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="6" operation="start" operation_key="stonith-1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -26,38 +26,38 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="fence" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -66,38 +66,38 @@
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="fence" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -106,53 +106,52 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid2"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="11" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="11" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid2"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
